| GNSS data to OSM format processor and track finder

- Main Page
- Packages
- Files

- Packages
- Package Functions

Functions
CVT Namespace Reference

Functions for visualisation handling. More...

## Functions
def | create_mapbase (set='german1')
| Creates folium map base for the output .html file. More...
def | get_separate_coords (tlist)
| Returns separate lists for latitudes and longitudes with zipped coordinates as an input. More...
def | add_fg_direction (tlist, fg_name)
| This func returns a feature group (fg) that provides visualisation of tlist while highlighting the direction. More...
def | add_fg_OSM (tlist, geojson_file, fg_name)
| This func returns feature group (fg) that contains the OSM format of the data ready to be visualized under given name. More...
def | add_fg_OSM_clean (geojson_file, fg_name)
| This func returns feature group (fg) that contains the OSM format of the data ready to be visualized under given name. More...
def | fg_add_continuous (tlist, fg_name)
| This func returns feature group (fg) that contains the continuous representation of the tlist data using Polyline. More...
def | fg_add_basic (tlist, fg_name, wanted_color, wanted_radius=1)
| This func returns basic customizable feature group (fg) for the visualisation. More...
def | fg_add_succession (tlist, fg_name)
| This func returns feature group (fg) for the visualisation that enhances the progression of a track by enlarging points aggregated as the track progressed. More...
def | close_mapbase (name, fmapbase, fglist)
| All the feature groups are now added to the created fmapbase. More...
def | normalisation_test_vis (real_input, normalised_crossroads, normalised_fine, vis_name, nodes_map_all)
| Rather case specific function to perform visualisation. More...
def | visualisation (visdict)
| Rather case specific function to perform visualisation. More...
def | run ()
| Testfile to test any of the functions above with prepared data in .p files. More...

## Detailed Description

Functions for visualisation handling.

## Function Documentation

## ◆ add_fg_direction()

def CVT.add_fg_direction | ( |  | tlist,
|  |  | fg_name
| ) |  |

This func returns a feature group (fg) that provides visualisation of tlist while highlighting the direction.

It is done by adding markers for Start an Stop as well as creating a color gradient for the coordinates in tlist.

## ◆ add_fg_OSM()

def CVT.add_fg_OSM | ( |  | tlist,
|  |  | geojson_file,
|  |  | fg_name
| ) |  |

This func returns feature group (fg) that contains the OSM format of the data ready to be visualized under given name.

Under this OSM layer there is continuous node layer printed as a reference of what the result is in the given node representation occurred in tlist.

Parameters

  tlist | list of nodes that will be visualized under the OSM representation in continuous form
  geojson_file | main file of which data will be visualized
  fg_name | name representing this layer, will be used in the html visualisation to toggle viewing options

## ◆ add_fg_OSM_clean()

def CVT.add_fg_OSM_clean | ( |  | geojson_file,
|  |  | fg_name
| ) |  |

This func returns feature group (fg) that contains the OSM format of the data ready to be visualized under given name.

## ◆ close_mapbase()

def CVT.close_mapbase | ( |  | name,
|  |  | fmapbase,
|  |  | fglist
| ) |  |

All the feature groups are now added to the created fmapbase.

Here the map can be altered to have the toggle option accompanying LayerControl, LatLngPopup option to show coordinates at any place, option to add tile style etc.

## ◆ create_mapbase()

def CVT.create_mapbase | ( |  | set = `'german1'` | ) |

Creates folium map base for the output .html file.

Parameters

  set | determines the default zoom and position of the visualisation view.

## ◆ fg_add_basic()

def CVT.fg_add_basic | ( |  | tlist,
|  |  | fg_name,
|  |  | wanted_color,
|  |  | wanted_radius = `1`
| ) |  |

This func returns basic customizable feature group (fg) for the visualisation.

Parameters

  tlist | list of nodes to be visualized
  fg_name | name for the created feature group
  wanted_color | Circle will be printed out for each node, so this argument alters its color
  wanted_radius | size of the created circle for every node

## ◆ fg_add_continuous()

def CVT.fg_add_continuous | ( |  | tlist,
|  |  | fg_name
| ) |  |

This func returns feature group (fg) that contains the continuous representation of the tlist data using Polyline.

It means that the data are visualized in a form of a continuous line.

## ◆ fg_add_succession()

def CVT.fg_add_succession | ( |  | tlist,
|  |  | fg_name
| ) |  |

This func returns feature group (fg) for the visualisation that enhances the progression of a track by enlarging points aggregated as the track progressed.

## ◆ get_separate_coords()

def CVT.get_separate_coords | ( |  | tlist | ) |

Returns separate lists for latitudes and longitudes with zipped coordinates as an input.

## ◆ normalisation_test_vis()

def CVT.normalisation_test_vis | ( |  | real_input,
|  |  | normalised_crossroads,
|  |  | normalised_fine,
|  |  | vis_name,
|  |  | nodes_map_all
| ) |  |

Rather case specific function to perform visualisation.

This function basically uses previous functions for one particular set of visualisations used for testing of normalisation. It creates mapbase, creates a list to append specific feature groups, closes it, which will generate the output html file.

## ◆ run()

def CVT.run | ( |  | ) |

Testfile to test any of the functions above with prepared data in .p files.

## ◆ visualisation()

def CVT.visualisation | ( |  | visdict | ) |

Rather case specific function to perform visualisation.

Uses previous functions for one particular set of visualisations defined by the input dictionary visdict and mostly names the feature groups by the dictionary's key names.